Bug 123102 - New port: sysutil/lbl-hf LBL's address to hostname filter
Summary: New port: sysutil/lbl-hf LBL's address to hostname filter
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-26 05:30 UTC by leres
Modified: 2008-05-13 21:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2008-04-26 05:30:01 UTC
	hf is a filter that reads files or stdin and replaces
	internet addresses with hostnames.

------- =_aaaaaaaaaa0
Content-Type: text/plain; name="hf.shar"; charset="us-ascii"
Content-ID: <7782.1209183579.2@fun.ee.lbl.gov>

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	Makefile
#	distinfo
#	pkg-descr
#	pkg-plist
#
echo x - Makefile
sed 's/^X//' >Makefile << 'END-of-Makefile'
X# @(#) $Id: Makefile,v 1.3 2008/04/26 04:19:19 leres Exp $ (LBL)
X# New ports collection makefile for:	lbl-hf
X# Date created:		24 Apr 2008
X# Whom:			leres@ee.lbl.gov
X# $FreeBSD$
X#
X
XPORTNAME=	hf
XPORTVERSION=	1.0a11
XCATEGORIES=	sysutils
XMASTER_SITES=	ftp://ee.lbl.gov/ \
X		ftp://ftp.tux.org/sites/ftp.ee.lbl.gov/ \
X		ftp://ftp.xemacs.org/sites/ftp.ee.lbl.gov/ \
X		http://ftp.riken.go.jp/pub/net/lbl/
XPKGNAMEPREFIX=	lbl-
X
XMAINTAINER=	leres@ee.lbl.gov
XCOMMENT=	Address to hostname filter
X
XMAN1=		hf.1
X
XHAS_CONFIGURE=	yes
X
X# Only install hf
Xdo-install:
X	${INSTALL_PROGRAM} ${WRKSRC}/hf ${PREFIX}/bin
X	${INSTALL_MAN} ${WRKSRC}/hf.1 ${PREFIX}/man/man1
X
X.include <bsd.port.mk>
END-of-Makefile
echo x - distinfo
sed 's/^X//' >distinfo << 'END-of-distinfo'
XMD5 (hf-1.0a11.tar.gz) = 4a1f43ba5058a985ca8f2e717999de8b
XSHA256 (hf-1.0a11.tar.gz) = b68e8a390cebaad000e5a1ef26a03b6659d5a1312bcd2d8935a1be0b9ae6a1ff
XSIZE (hf-1.0a11.tar.gz) = 73395
END-of-distinfo
echo x - pkg-descr
sed 's/^X//' >pkg-descr << 'END-of-pkg-descr'
XAddress to hostname filter
X
Xftp://ee.lbl.gov/hf.tar.gz
END-of-pkg-descr
echo x - pkg-plist
sed 's/^X//' >pkg-plist << 'END-of-pkg-plist'
Xbin/hf
END-of-pkg-plist
exit


------- =_aaaaaaaaaa0--
Comment 1 Thomas Abthorpe freebsd_committer 2008-05-10 03:37:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 2 dfilter freebsd_committer 2008-05-13 20:06:33 UTC
tabthorpe    2008-05-13 19:06:29 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/hf          Makefile distinfo pkg-descr 
  Log:
  hf is a filter that reads files or stdin and replaces internet
  addresses with hostnames.
  
  WWW: http://ee.lbl.gov/
  
  PR:             ports/123102
  Submitted by:   leres at ee.lbl.gov
  
  Revision  Changes    Path
  1.1005    +1 -0      ports/sysutils/Makefile
  1.1       +32 -0     ports/sysutils/hf/Makefile (new)
  1.1       +3 -0      ports/sysutils/hf/distinfo (new)
  1.1       +4 -0      ports/sysutils/hf/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter freebsd_committer 2008-05-13 20:51:25 UTC
tabthorpe    2008-05-13 19:51:15 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/lbl-hf      Makefile distinfo pkg-descr 
  Log:
  hf is a filter that reads files or stdin and replaces internet
  addresses with hostnames.
  
  WWW: http://ee.lbl.gov/
  
  PR:             ports/123102
  Submitted by:   leres at ee.lbl.gov
  
  Revision  Changes    Path
  1.1007    +1 -0      ports/sysutils/Makefile
  1.1       +33 -0     ports/sysutils/lbl-hf/Makefile (new)
  1.1       +3 -0      ports/sysutils/lbl-hf/distinfo (new)
  1.1       +4 -0      ports/sysutils/lbl-hf/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Thomas Abthorpe freebsd_committer 2008-05-13 20:54:13 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!